#-*- coding: utf-8 -*-
""" testTranslation module responsible for the main tests
"""
import unittest
from valentine.gtranslate import translate, translate_plus
from valentine.gtranslate.tests.base import GTranslateTestCase

class GTranslateTestCases(GTranslateTestCase):
    """ Main test class for valentine.gtranslate
    """
    def test_translate(self):
        """ Tests if length of source text is equal to the lenght of
            destination text
        """
        src = u'Hej värld'
        dst = translate(src)
        self.assertEquals(dst != src, True)
        self.assertEquals(len(dst.split(' ')), len(src.split(' ')))

    def test_translate_plus(self):
        """ Tests translations with google that has a limit
            of maximum of 500 characters
        """
        src = u"Denna sträng är så lång att Google translate inte kan ta " \
              u"den i ett enda stycke. Därför styckar vi upp den i " \
              u"meningar. \n\n" * 10
        src = src.strip()
        dst = translate_plus(src)
        self.assertEquals(dst != src, True)
        self.assertEquals(len(dst.split('.')), len(src.split('.')) - 1)

def test_suite():
    """ test_suite run test method
    """
    suite = unittest.TestSuite()
    suite.addTest(GTranslateTestCases('test_translate'))
    suite.addTest(GTranslateTestCases('test_translate_plus'))
    return suite
